Configure review settings
PUT
bearerAuthheader
AuthorizationBearer <token>An API key created in Capy under Settings → API.
application/json- body
repo*stringautoReview?stringOne of
"off""once""always"postingThreshold?stringOne of
"low""medium""high"postInvestigate?booleanpostNotes?booleanpostStatusCheck?booleanprojectId?stringmemorySelection?stringOne of
"index""paths""select"ReviewSettings
application/json- response
repo*stringbillingOrgId*string|nullheldByCaller*booleanautoReview*stringOne of
"off""once""always"postingThreshold*stringOne of
"low""medium""high"postInvestigate*booleanpostNotes*booleanpostStatusCheck*booleanprojectId*string|nullmemorySelection*stringOne of
"index""paths""select"curl -X PUT 'https://api.capy.ai/api/v1/review-settings' \ -H 'Content-Type: application/json' \ -d '{ "repo": "string"}'{ "repo": "string", "billingOrgId": "string", "heldByCaller": true, "autoReview": "off", "postingThreshold": "low", "postInvestigate": true, "postNotes": true, "postStatusCheck": true, "projectId": "string", "memorySelection": "index"}